Bug 1967623 - [OCPonRHV] - ./openshift-install installation with install-config doesn't work if ovirt-config.yaml doesn't exist and user should fill the FQDN URL
Summary: [OCPonRHV] - ./openshift-install installation with install-config doesn't wor...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.8
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.8.0
Assignee: Gal Zaidman
QA Contact: michal
URL:
Whiteboard:
: 1967622 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-03 13:34 UTC by michal
Modified: 2021-07-27 23:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:11:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4976 0 None open Bug 1967623: oVirt: Fix password input 2021-06-06 11:39:58 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:11:42 UTC

Description michal 2021-06-03 13:34:30 UTC
Version:
rhv = 4.4.6

$ openshift-install version
4.8.0-0.nightly-2021-06-01-043518 

Platform:
ocp on rhv

steps:
1) run ./openshift-install create install-config --dir= <anydir>
2) answer the question and in Engine FQDN[:PORT] fill correct FQDN
3) in 'Would you like to use the above certificate to connect to the Engine? ' answer y
4) on 'Engine username' press enter

actual:
'Engine username' question appears 3 times, and then 'Engine FQDN[:PORT]' question appears again. 

./openshift-install create install-config doesn't work if ovirt-config.yaml doesn't exist and user should fill the FQDN URL 

expected: 
Engine username question should appear only one time and then next question

Comment 1 Nick Stielau 2021-06-03 17:46:05 UTC
Is this is a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1967622?

Comment 2 michal 2021-06-03 17:54:34 UTC
*** Bug 1967622 has been marked as a duplicate of this bug. ***

Comment 5 Michael Burman 2021-06-10 12:53:51 UTC
Verified on - 4.8.0-0.nightly-2021-06-10-045932

Comment 8 errata-xmlrpc 2021-07-27 23:11:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.